[package]
name = "chapter-8"
version.workspace = true
edition.workspace = true

[dependencies]
clap = "2"
rand = "0.9"
reqwest = "0.9"
trust-dns = { version = "0.16", default-features = false }

[[bin]]
name = "simple"
path = "src/simple.rs"

[[bin]]
name = "rpg"
path = "src/rpg.rs"

[[bin]]
name = "stdlib"
path = "src/stdlib.rs"

[[bin]]
name = "resolve"
path = "src/resolve.rs"

[[bin]]
name = "io-error"
path = "src/io-error.rs"

[[bin]]
name = "trait-error"
path = "src/trait-error.rs"

[[bin]]
name = "wrap-error"
path = "src/wrap-error.rs"

[[bin]]
name = "macgen"
path = "src/macgen.rs"
